<%@ Page Language="C#" AutoEventWireup="true" EnableViewStateMac="false" %>
<HTML>
	<HEAD id="Head1">
		<title>Activation Screen</title>
		<script runat="server" language="C#">
	        const string PURCHASE_PORTAL_URL = "http://www.flatburger.com/Default.aspx?TabId=5598";
            const string IMG_URL = "http://www.flatburger.com/VendorLogos/{0}/logo.gif";   

			string sProdName;
			string sProdVersion;
			string sVendorName;
       		string sPermId;	

			protected void Page_Load(object sender, EventArgs e)
			{
				sProdName = this.Request.QueryString["Product"];
			    m_oModuleNameLabel.Text = sProdName;

                sProdVersion = this.Request.QueryString["Version"];
			    m_oModuleVersionLabel.Text = sProdVersion;

                sVendorName = this.Request.QueryString["Vendor"];
                m_oModuleVendorLabel.Text = sVendorName;
                
                sPermId = this.Request.QueryString["PermId"];
                
                string sParameterError = "";
                
				if(IsNullOrEmpty(sProdName) ||
				IsNullOrEmpty(sProdVersion) ||
				IsNullOrEmpty(sVendorName))
                {
                    sParameterError = "Product name, version, or vendor name was not provided"; 
                }
                else
                if (IsNullOrEmpty(sProdName))
                {
                    sParameterError = "Permutation Id was not provided";
                }
                    
                if (!IsNullOrEmpty(sParameterError))
				{
					m_oGetKeyButton.Visible = false;
					m_oErrorLabel.CssClass = "ErrorLabel";
					m_oErrorLabel.Text = sParameterError;
				}
                
				SetMessage("", false);

				string sUrl = String.Format("{3}&Vendor={0}&Product={1}&Version={2}", System.Web.HttpUtility.UrlEncode(sVendorName), System.Web.HttpUtility.UrlEncode(sProdName), System.Web.HttpUtility.UrlEncode(sProdVersion), PURCHASE_PORTAL_URL);

				m_oGetKeyButton.Attributes.Add("onclick", "window.open('" + sUrl + "',null,'height='+screen.height*.75+',width='+screen.width*.85+',top='+(screen.height-screen.height*.75)/2+',left='+(screen.width-screen.width*.85)/2+',resizable=yes,toolbar=no,location=no,directories=no,status=no,menubar=no,scrollbars=yes');");

                string sText = sVendorName.Replace(" ", "");
                Regex oRegEx = new Regex(@"\w+");
                sText = oRegEx.Match(sText).Value;
                oRegEx = null;
                imgVendor.ImageUrl = String.Format(IMG_URL, sText);
        }

		protected void SetMessage(string sMsg, bool bError)    
		{
			m_oMessageLabel.Text = sMsg;
			MessageTable.Visible = sMsg.Trim().Length > 0;

			if (sMsg.Trim().Length > 0)
			{
				if (bError)
				{
					m_oMessageLabel.CssClass = "ErrorLabel";
				}
				else
				{
					m_oMessageLabel.CssClass = "ConfirmationLabel";
				}
			}
		}
		
		private void m_oCancelButton_Click(object sender, System.Web.UI.ImageClickEventArgs e)
		{
			string sPreUrlBase64 = this.Request.QueryString["PreUrl"];

            if (!IsNullOrEmpty(sPreUrlBase64))
            {
				byte[] UrlBytes = Convert.FromBase64String(sPreUrlBase64);
			    string sPreUrl = ASCIIEncoding.ASCII.GetString(UrlBytes);
            
                this.Response.Redirect(sPreUrl);
            }
		}

		private void m_oActivateBtn_Click(object sender, System.Web.UI.ImageClickEventArgs e)
		{
			string sActivationKey = m_oActivationKeyTb.Text.Trim();

			if (sActivationKey.Length == 0)
			{
				SetMessage("Please fill Activation Key field.", true);
				return;
			}

			try
			{
	            Flatburger.NoLicenseHandler_1_1_163.SLMUtils.PerformActivation(sPermId, sActivationKey);
    			SetMessage("License " + sActivationKey + " was obtained and installed successfully<p style='font-size:9pt;color:#000000;'>Note: When you close this page your module will be licensed. If you should happen to see an error after clicking the 'Close' button below please navigate to a different page and then back to the page where this module is installed. If you have any questions or problems please visit the support link below.</p>", false);
        	        m_oActivationKeyTb.Text = "";
	        	m_oGetKeyButton.Enabled = false;
                	m_oGetKeyButton.CssClass = "GetKeyButtonDisabled";
			m_oActivateBtn.CssClass="ActivateButtonDisabled";
			m_oActivateBtn.Enabled = false;
			m_oCancelButton.CssClass = "CloseButton";
			m_oActivationKeyTb.Enabled = false;
			ActivationMessage.Visible = false;
			NoLicenseFound.Visible = false;
			}
			catch (Exception ex)
			{
			SetMessage("Failed to obtain license for key " + sActivationKey + ", " + ex.Message, true);
			}
		}
		
		bool IsNullOrEmpty(string sString)
		{
			if(Object.ReferenceEquals(sString, null))
			{
				return true;
			}
			
			if(sString.Length == 0)
			{
			    return true;
			}
			
			return false;
		}
		
		</script>
		<style>
		DIV.withImages { DISPLAY: none }
		</style>
		<link href="Flatburger_ActivationScreen.css" type="text/css" rel="stylesheet">
		<link rel="stylesheet" type="text/css" href="http://www.flatburger.com/activationscreen/css/stylesheet.css">
	</HEAD>
	<body>
		<form id="form1" runat="server" class="DataForm">
			<div class="noImages">
				<table border="0" width="582" id="table1" cellspacing="0" cellpadding="0" style="FONT-SIZE: 10pt; FONT-FAMILY: Arial">
					<tr>
						<td colspan="3"><br>
						</td>
					</tr>
					<tr>
						<td width="16" bgcolor="#5cbcec">&nbsp;</td>
						<td width="510" bgcolor="#5cbcec"><b><font size="4" color="#023467"> License Activation 
									Screen</font></b></td>
						<td width="16" bgcolor="#5cbcec">&nbsp;</td>
					</tr>
					<tr>
						<td bgcolor="#e3e3e3" width="16" rowspan="3">&nbsp;</td>
						<td bgcolor="#e3e3e3" width="548">&nbsp;</td>
						<td bgcolor="#e3e3e3" width="18" rowspan="3">&nbsp;</td>
					</tr>
					<tr>
						<td bgcolor="#e3e3e3" width="548">
						A connection to the internet is required for license activation.
						</td>
					</tr>
					<tr>
						<td bgcolor="#e3e3e3" width="548">&nbsp;</td>
					</tr>
					<tr>
						<td bgcolor="#d1cfcf" width="16" rowspan="3">&nbsp;</td>
						<td bgcolor="#d1cfcf" width="548">&nbsp;</td>
						<td bgcolor="#d1cfcf" width="18" rowspan="3">&nbsp;</td>
					</tr>
				</table>
			</div>
			<div class="withImages">
				<table border="0" width="582" id="table5" cellspacing="0" cellpadding="0" style="FONT-SIZE: 10pt; FONT-FAMILY: Arial">
					<tr>
						<td width="582" colspan="3"><br>
							<img border="0" src="http://www.flatburger.com/activationscreen/images/licenseactivation_header.jpg"
								width="582" height="43"></td>
					</tr>
					<tr>
						<td bgcolor="#e3e3e3" width="16" rowspan="3">&nbsp;</td>
						<td bgcolor="#e3e3e3" width="548">&nbsp;</td>
						<td bgcolor="#e3e3e3" width="18" rowspan="3">&nbsp;</td>
					</tr>
					<tr>
						<td bgcolor="#e3e3e3" width="548">
						    <table cellpadding="0" cellspacing="0" border="0">
							<tr>
							    <td><asp:Image ID="imgVendor" runat="server" /></td>
							</tr>
						    </table>
							<table id="MessageTable" runat="server">
								<tr>
									<td>
										<asp:Label ID="m_oMessageLabel" Runat="server"></asp:Label>
									</td>
								</tr>
							</table>
							<table id="ErrorTable" runat="server">
								<tr>
									<td>
										<asp:Label ID="m_oErrorLabel" Runat="server"></asp:Label>
									</td>
								</tr>
							</table>
							<table cellspacing="0" cellpadding="0" width="100%">
								<tr id="NoLicenseFound" runat="server">
									<td bgcolor="#e3e3e3" width="548">
										A valid license for <b>
											<asp:Label Runat="server" ID="m_oModuleNameLabel"></asp:Label></b> Version <b>
											<asp:Label Runat="server" ID="m_oModuleVersionLabel"></asp:Label></b> from <b>
											<asp:Label Runat="server" ID="m_oModuleVendorLabel"></asp:Label></b> could 
										not be found.
									  </td>
								</tr>
								<tr id="ActivationMessage" runat="server">
									<td bgcolor="#e3e3e3"><br />
										<p>If you already have an activation key, please enter it now and click the 
											Activate button. Otherwise click the Get an Activation Key button to continue.</p>
									</td>
								</tr>
								<tr>
									<td bgcolor="#e3e3e3"><br />
										<p style="Font-Size:9pt;">For questions regarding this License Activation process please visit <a href="http://support.flatburger.com" target=_blank>http://support.flatburger.com</a></p><br />
									</td>
								</tr>
								<tr>
									<td>
										<table border="0" id="table6" cellspacing="0" cellpadding="0" height="25">
											<tr>
												<td valign=middle>
													<asp:textbox id="m_oActivationKeyTb" Columns="42" runat="server" style="BORDER-RIGHT: #666666 1px solid; PADDING-RIGHT: 4px; BORDER-TOP: #666666 1px solid; PADDING-LEFT: 4px; FONT-WEIGHT: normal; FONT-SIZE: 10pt; PADDING-BOTTOM: 1px; BORDER-LEFT: #666666 1px solid; PADDING-TOP: 1px; BORDER-BOTTOM: #666666 1px solid; FONT-FAMILY: Arial" height="25"></asp:textbox>&nbsp;&nbsp;</td>
												<td valign=middle><asp:ImageButton runat="server" id="m_oActivateBtn" ImageURL="http://www.flatburger.com/activationscreen/images/spacer.gif" CssClass="ActivateButton" OnClick="m_oActivateBtn_Click" /></td>
											</tr>
										</table>
									</td>
								</tr>
							</table>
						</td>
					</tr>
					<tr>
						<td bgcolor="#e3e3e3" width="548">&nbsp;</td>
					</tr>
					<tr>
						<td bgcolor="#d1cfcf" width="16" rowspan="3">&nbsp;</td>
						<td bgcolor="#d1cfcf" width="548">&nbsp;</td>
						<td bgcolor="#d1cfcf" width="18" rowspan="3">&nbsp;</td>
					</tr>
					<tr>
						<td bgcolor="#d1cfcf" width="548">
							<asp:imagebutton id="m_oGetKeyButton" runat="server" ImageURL="http://www.flatburger.com/activationscreen/images/spacer.gif" CssClass="GetKeyButton" CausesValidation="false" /><img border="0" src="http://www.flatburger.com/activationscreen/images/spacer.gif" width="26"
								height="1"><asp:imagebutton id="m_oCancelButton" runat="server" ImageURL="http://www.flatburger.com/activationscreen/images/spacer.gif" CssClass="CancelButton" OnClick="m_oCancelButton_Click" CausesValidation="false" /></td>
					</tr>
					<tr>
						<td bgcolor="#d1cfcf" width="548">&nbsp;</td>
					</tr>
				</table>
			</div>
		</form>
	</body>
</HTML>
